
using System;
namespace AssemblyCSharp
{
	using UnityEngine;
	using System.Collections;
	
	public class RotTrick : MonoBehaviour 
	{
        public Camera m_mainCamera;
        private bool m_StartRotating;
		public bool StartRotating
		{
			get { return m_StartRotating; }
			set { m_StartRotating = value; }
		}
		
		void Awake()
		{
			m_Instance = this;
		}
		
		void Update()
		{
            // Slowly rotate the object around its X axis at 1 degree/second.
            //transform.Rotate(5*Vector3.right * Time.deltaTime);

            // ... at the same time as spinning relative to the global 
            // Y axis at the same speed.
            //transform.Rotate(-5*Vector3.up * Time.deltaTime, Space.World);
            transform.Rotate(10 * Vector3.forward * Time.deltaTime);
            transform.RotateAround(/*Vector3.zero*/m_mainCamera.transform.position, -2*Vector3.up, 10 * Time.deltaTime);
        }
		
		// Singleton methods 
		private static RotTrick m_Instance = null;
		
		private RotTrick() { }
		
		public static RotTrick Instance
		{
			get { return m_Instance; }
		}
	}
	
}

